package tls

  1. Overview
  2. No Docs

Description

A clean-slate TLS implementation, with support for protocol versions 1.0-1.2. Includes the core library, as well as Lwt and MirageOS frontends.

Tags

org:mirage

Published: 07 Jul 2014

Dependencies (9)

  1. ocamlbuild build
  2. x509 = "0.1.0"
  3. nocrypto = "0.1.0"
  4. sexplib < "113.01.00"
  5. type_conv
  6. cstruct >= "1.2.0" & < "2.0.0"
  7. camlp4
  8. ocamlfind
  9. ocaml >= "4.01.0" & < "4.12.0"

Dev Dependencies

None

Used by (34)

  1. aws-s3-lwt < "3.0.0"
  2. azure-cosmos-db >= "0.1.5" & < "0.2.0"
  3. calculon < "0.5"
  4. caqti >= "2.1.1"
  5. caqti-mirage >= "2.1.1"
  6. caqti-tls
  7. colombe < "0.2.0"
  8. comby < "1.7.0"
  9. conduit-tls
  10. current_github < "0.2"
  11. current_slack < "0.3"
  12. datakit-ci < "0.12.1"
  13. dns-resolver >= "6.0.0"
  14. dropbox >= "0.2"
  15. git >= "2.0.0" & < "3.0.0"
  16. git-mirage >= "2.0.0" & < "3.0.0" | >= "3.6.0"
  17. git-unix = "2.0.0" | >= "2.1.1" & < "3.0.0"
  18. github >= "2.0.0" & < "3.0.0"
  19. github-unix < "3.1.0"
  20. irc-client-tls < "0.7.1"
  21. letters < "0.3.3"
  22. links >= "0.9.6"
  23. mehari-mirage < "0.2"
  24. mirror
  25. opam-publish >= "0.3.5" & < "2.1.0"
  26. paf-cohttp = "0.0.5"
  27. quests
  28. sendmail >= "0.2.0" & < "0.4.1"
  29. sendmail-lwt < "0.4.1"
  30. slacko >= "0.13.0"
  31. syndic >= "1.5" & < "1.6.0"
  32. tezos-node < "9.0"
  33. tls-liquidsoap
  34. wcs-api = "2017-05-26.02"

Conflicts (3)

  1. mirage-types-lwt > "2.0.0"
  2. mirage-types-lwt < "1.2.0"
  3. lwt >= "4.0.0"
OCaml

Innovation. Community. Security.